Bug 244542 - glib2 crash/problems after warning about g_thread_init()
glib2 crash/problems after warning about g_thread_init()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
: Reopened
Depends On: 241925 243282
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 20:35 EDT by Tom London
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-08 07:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace showing 'duplicate free' (7.93 KB, text/plain)
2007-06-16 20:51 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2007-06-16 20:35:57 EDT
Description of problem:
Running Rawhide, starting audacity and selecting Edit->Preference causes a crash.

Notice the warning about not calling g_thread_init().

Got the following backtrace after installing debuginfo package.

[tbl@localhost ~]$ audacity

***MEMORY-WARNING***: [4119]: GSlice: g_thread_init() must be called before all
other GLib functions; memory corruption due to late invocation of
g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
JACK tmpdir identified as [/dev/shm]
*** glibc detected *** audacity: free(): invalid pointer: 0x09ec8960 ***
======= Backtrace: =========
/lib/libc.so.6[0x45f62f41]
/lib/libc.so.6(cfree+0x90)[0x45f66580]
/lib/libglib-2.0.so.0(g_free+0x31)[0x41e29701]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4815b33a]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0x4815b426]
audacity[0x82090d1]
audacity[0x80c54f4]
audacity[0x8167372]
audacity[0x81677be]
audacity[0x80f040b]
/usr/lib/libwx_baseu-2.6.so.0(_ZNK12wxAppConsole11HandleEventEP12wxEvtHandlerMS0_FvR7wxEventES3_+0x35)[0x48340035]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x92)[0x483cf132]
/usr/lib/libwx_baseu-2.6.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0x7d)[0x483cf27d]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xcf)[0x483cf3ff]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4817faa1]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x41ed37e9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed792d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7c9)[0x41ed8d39]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x58)[0x47dba298]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x14a)[0x47c8b6ea]
/usr/lib/libgtk-x11-2.0.so.0[0x47c8d76e]
/usr/lib/libgtk-x11-2.0.so.0[0x47c82c0d]
/usr/lib/libgtk-x11-2.0.so.0[0x47c7ba32]
/lib/libgobject-2.0.so.0[0x41ec45c9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed7f73]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x67c)[0x41ed8bec]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0[0x47db49d8]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae)[0x47c7390e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3f5)[0x47c74d15]
/usr/lib/libgdk-x11-2.0.so.0[0x477914ba]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c)[0x41e2204c]
/lib/libglib-2.0.so.0[0x41e2540f]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x41e257b9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x47c751a4]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN11wxEventLoop3RunEv+0x5b)[0x481085db]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase8MainLoopEv+0x4c)[0x4819ce2c]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase5OnRunEv+0x21)[0x4819c511]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPw+0x6a)[0x48375eba]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPc+0x36)[0x48375f76]
audacity[0x8078600]
/lib/libc.so.6(__libc_start_main+0xe0)[0x45f10f70]
audacity(_ZN16wxGridCellEditor13IsAcceptedKeyER10wxKeyEvent+0x39)[0x806df21]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-0011b000 r-xp 00000000 fd:00 7209216    /lib/libnss_files-2.6.so
0011b000-0011c000 r--p 00009000 fd:00 7209216    /lib/libnss_files-2.6.so
0011c000-0011d000 rw-p 0000a000 fd:00 7209216    /lib/libnss_files-2.6.so
0011d000-0011e000 r-xp 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
0011e000-00120000 rw-p 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
00120000-00145000 r-xp 00000000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00145000-00146000 rw-p 00024000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00146000-00187000 r-xp 00000000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00187000-00189000 rw-p 00040000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00189000-001b5000 r-xp 00000000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b5000-001b6000 rw-p 0002b000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b6000-001bc000 r-xp 00000000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bc000-001bd000 rw-p 00005000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bd000-001fe000 r-xp 00000000 fd:00 5480066    /usr/lib/libmp3lame.so.0.0.0
001fe000-00200000 rw-p 00041000 fd:00 5480066    /usr/lib/libmp3lame.so.0.0.0
00200000-00231000 rw-p 00200000 00:00 0 
08047000-083da000 r-xp 00000000 fd:00 5480395    /usr/bin/audacity
083da000-083fe000 rw-p 00392000 fd:00 5480395    /usr/bin/audacity
083fe000-08408000 rw-p 083fe000 00:00 0 
0840e000-08483000 rw-p 003b5000 fd:00 5480395    /usr/bin/audacity
098ec000-09fa5000 rw-p 098ec000 00:00 0 
41000000-41081000 r-xp 00000000 fd:00 5472771    /usr/lib/libcairo.so.2.11.4
41081000-41083000 rw-p 00081000 fd:00 5472771    /usr/lib/libcairo.so.2.11.4
41085000-4108d000 r-xp 00000000 fd:00 5475512   
/usr/lib/libpangocairo-1.0.so.0.1702.0
4108d000-4108e000 rw-p 00008000 fd:00 5475512   
/usr/lib/libpangocairo-1.0.so.0.1702.0
41372000-413df000 r-xp 00000000 fd:00 5485358    /usr/lib/libgnomeprint-2-2.so.0.1.0
413df000-413e1000 rw-p 0006c000 fd:00 5485358    /usr/lib/libgnomeprint-2-2.so.0.1.0
41c06000-41d34000 r-xp 00000000 fd:00 5490170    /usr/lib/libxml2.so.2.6.29
41d34000-41d39000 rw-p 0012d000 fd:00 5490170    /usr/lib/libxml2.so.2.6.29
41d39000-41d3a000 rw-p 41d39000 00:00 0 
41df5000-41eba000 r-xp 00000000 fd:00 7209046    /lib/libglib-2.0.so.0.1304.0
41eba000-41ebb000 rw-p 000c4000 fd:00 7209046    /lib/libglib-2.0.so.0.1304.0
41ebd000-41efd000 r-xp 00000000 fd:00 11403675   /lib/libgobject-2.0.so.0.1304.0
41efd000-41efe000 rw-p 00040000 fd:00 11403675   /lib/libgobject-2.0.so.0.1304.0
41f00000-41f03000 r-xp 00000000 fd:00 11403676   /lib/libgmodule-2.0.so.0.1304.0
41f03000-41f04000 rw-p 00002000 fd:00 11403676   /lib/libgmodule-2.0.so.0.1304.0
423b3000-423cd000 r-xp 00000000 fd:00 5475832    /usr/lib/libatk-1.0.so.0.1912.1
423cd000-423cf000 rw-p 0001a000 fd:00 5475832    /usr/lib/libatk-1.0.so.0.1912.1
423dc000-4240c000 r-xp 00000000 fd:00 5475709   
/usr/lib/libpangoft2-1.0.so.0.1702.0
4240c000-4240d000 rw-p 00030000 fd:00 5475709   
/usr/lib/libpangoft2-1.0.so.0.1702.0
4240f000-42450000 r-xp 00000000 fd:00 5475577    /usr/lib/libpango-1.0.so.0.1702.0
42450000-42452000 rw-p 00040000 fd:00 5475577    /usr/lib/libpango-1.0.so.0.1702.0
42454000-42458000 r-xp 00000000 fd:00 11403677   /lib/libgthread-2.0.so.0.1304.0
42458000-42459000 rw-p 00003000 fd:00 11403677   /lib/libgthread-2.0.so.0.1304.0
42eae000-42f34000 r-xp 00000000 fd:00 5474927    /usr/lib/libfreetype.so.6.3.15
42f34000-42f38000 rw-p 00086000 fd:00 5474927    /usr/lib/libfreetype.so.6.3.15
42f3a000-42f61000 r-xp 00000000 fd:00 5475436    /usr/lib/libfontconfig.so.1.2.0
42f61000-42f69000 rw-p 00027000 fd:00 5475436    /usr/lib/libfontconfig.so.1.2.0
45924000-45936000 r-xp 00000000 fd:00 7210459    /lib/libz.so.1.2.3
45936000-45937000 rw-p 00011000 fd:00 7210459    /lib/libz.so.1.2.3
45a49000-45a6e000 r-xp 00000000 fd:00 5474616    /usr/lib/libpng12.so.0.16.0
45a6e000-45a6f000 rw-p 00024000 fd:00 5474616    /usr/lib/libpng12.so.0.16.0
45c4b000-45c5b000 r-xp 00000000 fd:00 5480075    /usr/lib/libjack.so.0.0.23
45c5b000-45c5d000 rw-p 00010000 fd:00 5480075    /usr/lib/libjack.so.0.0.23
45c5d000-45c65000 rw-p 45c5d000 00:00 0 
45e04000-45e16000 r-xp 00000000 fd:00 5484372    /usr/lib/libid3tag.so.0.3.0
45e16000-45e18000 rw-p 00011000 fd:00 5484372    /usr/lib/libid3tag.so.0.3.0
45edc000-45ef7000 r-xp 00000000 fd:00 7210527    /lib/ld-2.6.so
45ef7000-45ef8000 r--p 0001a000 fd:00 7210527    /lib/ld-2.6.so
45ef8000-45ef9000 rw-p 0001b000 fd:00 7210527    /lib/ld-2.6.so
45efb000-46049000 r-xp 00000000 fd:00 7210544    /lib/libc-2.6.so
46049000-4604b000 r--p 0014e000 fd:00 7210544    /lib/libc-2.6.so
4604b000-4604c000 rw-p 00150000 fd:00 7210544    /lib/libc-2.6.so
4604c000-4604f000 rw-p 4604c000 00:00 0 
46051000-46078000 r-xp 00000000 fd:00 7211909    /lib/libm-2.6.so
46078000-46079000 r--p 00026000 fd:00 7211909    /lib/libm-2.6.so
46079000-4607a000 rw-p 00027000 fd:00 7211909    /lib/libm-2.6.so
4607c000-4607f000 r-xp 00000000 fd:00 7210551    /lib/libdl-2.6.so
4607f000-46080000 r--p 00002000 fd:00 7210551    /lib/libdl-2.6.so
46080000-46081000 rw-p 00003000 fd:00 7210551    /lib/libdl-2.6.so
46098000-460ac000 r-xp 00000000 fd:00 7211913    /lib/libpthread-2.6.so
460ac000-460ad000 r--p 00013000 fd:00 7211913    /lib/libpthread-2.6.so
460ad000-460ae000 rw-p 00014000 fd:00 7211913    /lib/libpthread-2.6.so
460ae000-460b0000 rw-p 460ae000 00:00 0 
46153000-46251000 r-xp 00000000 fd:00 5489112    /usr/lib/libX11.so.6.2.0
46251000-46255000 rw-p 000fe000 fd:00 5489112    /usr/lib/libX11.so.6.2.0
46257000-46259000 r-xp 00000000 fd:00 5489109    /usr/lib/libXau.so.6.0.0
46259000-4625a000 rw-p 00001000 fd:00 5489109    /usr/lib/libXau.so.6.0.0
4625c000-46261000 r-xp 00000000 fd:00 5489111    /usr/lib/libXdmcp.so.6.0.0
46261000-46262000 rw-p 00004000 fd:00 5489111    /usr/lib/libXdmcp.so.6.0.0
462a5000-462b4000 r-xp 00000000 fd:00 5489122    /usr/lib/libXext.so.6.4.0
462b4000-462b5000 rw-p 0000e000 fd:00 5489122    /usr/lib/libXext.so.6.4.0
46348000-46367000 r-xp 00000000 fd:00 7211910    /lib/libexpat.so.0.5.0
46367000-46369000 rw-p 0001e000 fd:00 7211910    /lib/libexpat.so.0.5.0
463c4000-463cc000 r-xp 00000000 fd:00 5489115    /usr/lib/libXrender.so.1.3.0
463cc000-463cd000 rw-p 00007000 fd:00 5489115    /usr/lib/libXrender.so.1.3.0
463cf000-463d5000 r-xp 00000000 fd:00 5489129    /usr/lib/libXrandr.so.2.1.0
463d5000-463d6000 rw-p 00005000 fd:00 5489129    /usr/lib/libXrandr.so.2.1.0
463d8000-463da000 r-xp 00000000 fd:00 5489125    /usr/lib/libXinerama.so.1.0.0
463da000-463db000 rw-p 00001000 fd:00 5489125    /usr/lib/libXinerama.so.1.0.0
463dd000-463e6000 r-xp 00000000 fd:00 5489136    /usr/lib/libXcursor.so.1.0.2
463e6000-463e7000 rw-p 00008000 fd:00 5489136    /usr/lib/libXcursor.so.1.0.2
4646a000-4646e000 r-xp 00000000 fd:00 5489132    /usr/lib/libXfixes.so.3.1.0
4646e000-4646f000 rw-p 00003000 fd:00 5489132    /usr/lib/libXfixes.so.3.1.0
46471000-46478000 r-xp 00000000 fd:00 5489126    /usr/lib/libXi.so.6.0.0
46478000-46479000 rw-p 00006000 fd:00 5489126    /usr/lib/libXi.so.6.0.0
46961000-46966000 r-xp 00000000 fd:00 5489719    /usr/lib/libogg.so.0.5.3
46966000-46967000 rw-p 00004000 fd:00 5489719    /usr/lib/libogg.so.0.5.3
46969000-46985000 r-xp 00000000 fd:00 5489378    /usr/lib/libvorbis.so.0.3.1
46985000-46993000 rw-p 0001c000 fd:00 5489378    /usr/lib/libvorbis.so.0.3.1
469b1000-469b8000 r-xp 00000000 fd:00 5475637    /usr/lib/libvorbisfile.so.3.1.1
469b8000-469b9000 rw-p 00006000 fd:00 5475637    /usr/lib/libvorbisfile.so.3.1.1
469c3000-469ca000 r-xp 00000000 fd:00 7211914    /lib/librt-2.6.so
469ca000-469cb000 r--p 00006000 fd:00 7211914    /lib/librt-2.6.so
469cb000-469cc000 rw-p 00007000 fd:00 7211914    /lib/librt-2.6.so
469ce000-46a28000 r-xp 00000000 fd:00 5489483    /usr/lib/libsndfile.so.1.0.17
46a28000-46a29000 rw-p 00059000 fd:00 5489483    /usr/lib/libsndfile.so.1.0.17
46a29000-46a2e000 rw-p 46a29000 00:00 0 
46a30000-46a3b000 r-xp 00000000 fd:00 5480642    /usr/lib/lAborted
[tbl@localhost ~]$ 


Version-Release number of selected component (if applicable):
audacity-1.3.2-14.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Start audacity
2. Select Edit->Preferences
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-06-16 20:51:34 EDT
Created attachment 157208 [details]
backtrace showing 'duplicate free'

A slightly different backtrace with a different glibc message:
*** glibc detected *** audacity: double free or corruption (out): 0x0a21d8a0
***
Comment 2 Michael Schwendt 2007-06-17 05:29:55 EDT
* Please install the missing -debuginfo packages:
http://fedoraproject.org/wiki/StackTraces

* About the g_thread_init() problem:
http://mail.gnome.org/archives/gtk-devel-list/2007-January/msg00005.html

* For me, the F7 test-build of audacity-1.3.3-0.1.beta.fc7 (with wxGTK 2.8)
does not even start. Same for a rebuild on Rawhide, and there it crashes deep in
wxGTK 2.8:

#0  0x00b36402 in __kernel_vsyscall ()
#1  0x00220fa0 in raise () from /lib/libc.so.6
#2  0x002228b1 in abort () from /lib/libc.so.6
#3  0x00257ebb in __libc_message () from /lib/libc.so.6
#4  0x0025ff41 in _int_free () from /lib/libc.so.6
#5  0x00263580 in free () from /lib/libc.so.6
#6  0x00405701 in IA__g_free (mem=0x9f0c1d0) at gmem.c:187
#7  0x0406a114 in wxWindow::DoSetSize (this=0x9efcca8, x=187, y=69, width=85, 
    height=32, sizeFlags=<value optimized out>) at src/gtk/window.cpp:2704
#8  0x0416fc00 in wxSizerItem::SetDimension (this=0x9f34890, pos_=@0xbf9e6ad0, 
    size_=@0xbf9e6ac8) at include/wx/window.h:225
#9  0x041714e5 in wxBoxSizer::RecalcSizes (this=0x9e1ca08)
    at src/common/sizer.cpp:1687
#10 0x0416f9e4 in wxSizer::Layout (this=0x9e1ca08) at src/common/sizer.cpp:824
#11 0x0416fa59 in wxSizer::SetDimension (this=0x9e1ca08, x=0, y=0, width=460, 
    height=109) at src/common/sizer.cpp:913
#12 0x04184fa5 in wxWindowBase::Layout (this=0xbf9e6d98)
    at src/common/wincmn.cpp:1857
#13 0x0417e47f in wxTopLevelWindowBase::DoLayout (this=0xbf9e6d98)
    at src/common/toplvcmn.cpp:328
#14 0x0417f03d in wxTopLevelWindowBase::OnSize (this=0xbf9e6d98)
    at include/wx/toplevel.h:239
#15 0x03046045 in wxAppConsole::HandleEvent (this=0x9d76018, 
    handler=0xbf9e6d98, func=
    (void ( class wxEvtHandler::*)(class wxEvent &,)) 8584708, 
    event=@0xbf9e6c9c) at src/common/appbase.cpp:320
#16 0x030ee78f in wxEvtHandler::ProcessEventIfMatches (entry=@0x4298258, 
    handler=0xbf9e6d98, event=@0xbf9e6c9c) at src/common/event.cpp:1203
#17 0x030ee8dd in wxEventHashTable::HandleEvent (this=0x84211c0, 
    event=@0xbf9e6c9c, self=0xbf9e6d98) at src/common/event.cpp:877
#18 0x030eea46 in wxEvtHandler::ProcessEvent (this=0xbf9e6d98, 
    event=@0xbf9e6c9c) at src/common/event.cpp:1265
#19 0x0406271b in wxTopLevelWindowGTK::GtkOnSize (this=0xbf9e6d98)
    at src/gtk/toplevel.cpp:1075
#20 0x040b810b in wxDialog::Show (this=0xbf9e6d98, show=true)
    at src/gtk/dialog.cpp:86
#21 0x040b839c in wxDialog::ShowModal (this=0xbf9e6d98)
    at src/gtk/dialog.cpp:131
#22 0x080c327e in ChooseLanguage (parent=0x0) at LangChoice.cpp:58
#23 0x0807edc8 in AudacityApp::OnInit (this=0x9d76018) at AudacityApp.cpp:622
#24 0x0807fcc1 in wxAppConsole::CallOnInit (this=0x9d76018)
    at /usr/include/wx-2.8/wx/app.h:76
#25 0x030832d0 in wxEntry (argc=@0x3158c64, argv=0x9d45618)
    at src/common/init.cpp:433
#26 0x030833b7 in wxEntry (argc=@0xbf9e7120, argv=0xbf9e71a4)
    at src/common/init.cpp:461
#27 0x0807ac50 in main (argc=Cannot access memory at address 0x6c82
) at AudacityApp.cpp:338
#28 0x0020df70 in __libc_start_main () from /lib/libc.so.6
#29 0x0806f1f1 in _start ()
Comment 3 Tom London 2007-06-17 11:56:19 EDT
audacity-debuginfo installed:

[tbl@localhost ~]$ rpm -qa audacity\*
audacity-1.3.2-14.fc7
audacity-debuginfo-1.3.2-14.fc7
[tbl@localhost ~]$ 


[tbl@localhost ~]$ gdb audacity
GNU gdb Red Hat Linux (6.6-15.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) thread apply all bt full
(gdb) run
Starting program: /usr/bin/audacity 
[Thread debugging using libthread_db enabled]
[New Thread -1208830256 (LWP 3990)]

***MEMORY-WARNING***: [3990]: GSlice: g_thread_init() must be called before all
other GLib functions; memory corruption due to late invocation of
g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
[Detaching after fork from child process 3995. (Try `set detach-on-fork off'.)]
JACK tmpdir identified as [/dev/shm]
[New Thread -1213064304 (LWP 3996)]
Expression 'ValidateParameters( outputParameters, outputDeviceInfo,
StreamMode_Out )' failed in 'src/hostapi/oss/pa_unix_oss.c', line: 1206
*** glibc detected *** /usr/bin/audacity: double free or corruption (out):
0x08f24a70 ***
======= Backtrace: =========
/lib/libc.so.6[0x45f62f41]
/lib/libc.so.6(cfree+0x90)[0x45f66580]
/lib/libglib-2.0.so.0(g_free+0x31)[0x41e29701]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4815b33a]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0x4815b426]
/usr/bin/audacity[0x82090d1]
/usr/bin/audacity[0x80c54f4]
/usr/bin/audacity[0x8167372]
/usr/bin/audacity[0x81677be]
/usr/bin/audacity[0x80f040b]
/usr/lib/libwx_baseu-2.6.so.0(_ZNK12wxAppConsole11HandleEventEP12wxEvtHandlerMS0_FvR7wxEventES3_+0x35)[0x48340035]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x92)[0x483cf132]
/usr/lib/libwx_baseu-2.6.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0x7d)[0x483cf27d]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xcf)[0x483cf3ff]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4817faa1]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x41ed37e9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed792d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7c9)[0x41ed8d39]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x58)[0x47dba298]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x14a)[0x47c8b6ea]
/usr/lib/libgtk-x11-2.0.so.0[0x47c8d76e]
/usr/lib/libgtk-x11-2.0.so.0[0x47c82c0d]
/usr/lib/libgtk-x11-2.0.so.0[0x47c7ba32]
/lib/libgobject-2.0.so.0[0x41ec45c9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed7f73]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x67c)[0x41ed8bec]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0[0x47db49d8]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae)[0x47c7390e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3f5)[0x47c74d15]
/usr/lib/libgdk-x11-2.0.so.0[0x477914ba]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c)[0x41e2204c]
/lib/libglib-2.0.so.0[0x41e2540f]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x41e257b9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x47c751a4]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN11wxEventLoop3RunEv+0x5b)[0x481085db]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase8MainLoopEv+0x4c)[0x4819ce2c]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase5OnRunEv+0x21)[0x4819c511]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPw+0x6a)[0x48375eba]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPc+0x36)[0x48375f76]
/usr/bin/audacity[0x8078600]
/lib/libc.so.6(__libc_start_main+0xe0)[0x45f10f70]
/usr/bin/audacity(_ZN16wxGridCellEditor13IsAcceptedKeyER10wxKeyEvent+0x39)[0x806df21]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-0011b000 r-xp 00000000 fd:00 7209216    /lib/libnss_files-2.6.so
0011b000-0011c000 r--p 00009000 fd:00 7209216    /lib/libnss_files-2.6.so
0011c000-0011d000 rw-p 0000a000 fd:00 7209216    /lib/libnss_files-2.6.so
0011d000-0011e000 r-xp 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
0011e000-00120000 rw-p 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
00120000-00145000 r-xp 00000000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00145000-00146000 rw-p 00024000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00146000-00187000 r-xp 00000000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00187000-00189000 rw-p 00040000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00189000-001b5000 r-xp 00000000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b5000-001b6000 rw-p 0002b000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b6000-001bc000 r-xp 00000000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bc000-001bd000 rw-p 00005000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bd000-001fe000 r-xp 00000000 fd:00 5480066    /usr/lib/libmp3lame.so.0.0.0
001fe000-00200000 rw-p 00041000 fd:00 5480066    /usr/lib/libmp3lame.so.
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208830256 (LWP 3990)]
0x00110410 in __kernel_vsyscall ()
(gdb) where
#0  0x00110410 in __kernel_vsyscall ()
#1  0x45f23fa0 in raise () from /lib/libc.so.6
#2  0x45f258b1 in abort () from /lib/libc.so.6
#3  0x45f5aebb in __libc_message () from /lib/libc.so.6
#4  0x45f62f41 in _int_free () from /lib/libc.so.6
#5  0x45f66580 in free () from /lib/libc.so.6
#6  0x41e29701 in g_free () from /lib/libglib-2.0.so.0
#7  0x4815b33a in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#8  0x4815b426 in wxButton::SetDefault ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#9  0x082090d1 in PrefsDialog (this=0xbfadaa64, parent=0x8b43600)
    at prefs/PrefsDialog.cpp:168
#10 0x080c54f4 in AudacityProject::OnPreferences (this=0x8b43600)
    at Menus.cpp:2226
#11 0x08167372 in CommandManager::HandleCommandEntry (this=0x8b43880, 
    entry=0x8c337b0, flags=1081345, mask=4294967295)
    at commands/CommandManager.cpp:706
#12 0x081677be in CommandManager::HandleMenuID (this=0x8b43880, id=67, 
    flags=1081345, mask=4294967295) at commands/CommandManager.cpp:719
#13 0x080f040b in AudacityProject::OnMenu (this=0x8b43600, event=@0xbfadad80)
    at Project.cpp:1231
#14 0x48340035 in wxAppConsole::HandleEvent ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libwx_baseu-2.6.so.0
#15 0x483cf132 in wxEvtHandler::ProcessEventIfMatches ()
   from /usr/lib/libwx_baseu-2.6.so.0
#16 0x483cf27d in wxEventHashTable::HandleEvent ()
   from /usr/lib/libwx_baseu-2.6.so.0
#17 0x483cf3ff in wxEvtHandler::ProcessEvent ()
   from /usr/lib/libwx_baseu-2.6.so.0
#18 0x4817faa1 in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#19 0x41ed37e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#20 0x41ec5dd2 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#21 0x41ed792d in wxGridCellEditor::IsAcceptedKey ()
   from /lib/libgobject-2.0.so.0
#22 0x41ed8d39 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#23 0x41ed8fe9 in g_signal_emit () from /lib/libgobject-2.0.so.0
#24 0x47dba298 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x47c8b6ea in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#26 0x47c8d76e in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libgtk-x11-2.0.so.0
#27 0x47c82c0d in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#28 0x47c7ba32 in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libgtk-x11-2.0.so.0
#29 0x41ec45c9 in wxGridCellEditor::IsAcceptedKey ()
   from /lib/libgobject-2.0.so.0
#30 0x41ec5dd2 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#31 0x41ed7f73 in wxGridCellEditor::IsAcceptedKey ()
   from /lib/libgobject-2.0.so.0
#32 0x41ed8bec in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#33 0x41ed8fe9 in g_signal_emit () from /lib/libgobject-2.0.so.0
#34 0x47db49d8 in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libgtk-x11-2.0.so.0
#35 0x47c7390e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x47c74d15 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x477914ba in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libgdk-x11-2.0.so.0
#38 0x41e2204c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x41e2540f in wxGridCellEditor::IsAcceptedKey () from /lib/libglib-2.0.so.0
#40 0x41e257b9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#41 0x47c751a4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#42 0x481085db in wxEventLoop::Run () from /usr/lib/libwx_gtk2u_core-2.6.so.0
#43 0x4819ce2c in wxAppBase::MainLoop ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#44 0x4819c511 in wxAppBase::OnRun () from /usr/lib/libwx_gtk2u_core-2.6.so.0
---Type <return> to continue, or q <return> to quit---
#45 0x48375eba in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#46 0x48375f76 in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#47 0x08078600 in main (argc=Cannot access memory at address 0xf96
) at AudacityApp.cpp:189
#48 0x45f10f70 in __libc_start_main () from /lib/libc.so.6
#49 0x0806df21 in _start ()
(gdb) 
Comment 4 Tom London 2007-06-17 11:57:21 EDT
I also tried building audacity-1.3.3-beta from source on Rawhide.

I get the same behavior as my previous posts.
Comment 5 Tom London 2007-06-17 12:02:54 EDT
Ok.  Read stacktraces more carefully; installed glib2, pango and gtk2 debuginfo:

(gdb) thread apply all bt full
(gdb) run
Starting program: /usr/bin/audacity 
[Thread debugging using libthread_db enabled]
[New Thread -1208121648 (LWP 4024)]

***MEMORY-WARNING***: [4024]: GSlice: g_thread_init() must be called before all
other GLib functions; memory corruption due to late invocation of
g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
[Detaching after fork from child process 4028. (Try `set detach-on-fork off'.)]
JACK tmpdir identified as [/dev/shm]
[New Thread -1212355696 (LWP 4029)]
Expression 'ValidateParameters( outputParameters, outputDeviceInfo,
StreamMode_Out )' failed in 'src/hostapi/oss/pa_unix_oss.c', line: 1206
*** glibc detected *** /usr/bin/audacity: double free or corruption (out):
0x0a179280 ***
======= Backtrace: =========
/lib/libc.so.6[0x45f62f41]
/lib/libc.so.6(cfree+0x90)[0x45f66580]
/lib/libglib-2.0.so.0(g_free+0x31)[0x41e29701]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4815b33a]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxButton10SetDefaultEv+0x76)[0x4815b426]
/usr/bin/audacity[0x82090d1]
/usr/bin/audacity[0x80c54f4]
/usr/bin/audacity[0x8167372]
/usr/bin/audacity[0x81677be]
/usr/bin/audacity[0x80f040b]
/usr/lib/libwx_baseu-2.6.so.0(_ZNK12wxAppConsole11HandleEventEP12wxEvtHandlerMS0_FvR7wxEventES3_+0x35)[0x48340035]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x92)[0x483cf132]
/usr/lib/libwx_baseu-2.6.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0x7d)[0x483cf27d]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xcf)[0x483cf3ff]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x4817faa1]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x41ed37e9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed792d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7c9)[0x41ed8d39]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x58)[0x47dba298]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x14a)[0x47c8b6ea]
/usr/lib/libgtk-x11-2.0.so.0[0x47c8d76e]
/usr/lib/libgtk-x11-2.0.so.0[0x47c82c0d]
/usr/lib/libgtk-x11-2.0.so.0[0x47c7ba32]
/lib/libgobject-2.0.so.0[0x41ec45c9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x122)[0x41ec5dd2]
/lib/libgobject-2.0.so.0[0x41ed7f73]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x67c)[0x41ed8bec]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x41ed8fe9]
/usr/lib/libgtk-x11-2.0.so.0[0x47db49d8]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae)[0x47c7390e]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3f5)[0x47c74d15]
/usr/lib/libgdk-x11-2.0.so.0[0x477914ba]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c)[0x41e2204c]
/lib/libglib-2.0.so.0[0x41e2540f]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x41e257b9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x47c751a4]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN11wxEventLoop3RunEv+0x5b)[0x481085db]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase8MainLoopEv+0x4c)[0x4819ce2c]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase5OnRunEv+0x21)[0x4819c511]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPw+0x6a)[0x48375eba]
/usr/lib/libwx_baseu-2.6.so.0(_Z7wxEntryRiPPc+0x36)[0x48375f76]
/usr/bin/audacity[0x8078600]
/lib/libc.so.6(__libc_start_main+0xe0)[0x45f10f70]
/usr/bin/audacity(_ZN16wxGridCellEditor13IsAcceptedKeyER10wxKeyEvent+0x39)[0x806df21]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-0011b000 r-xp 00000000 fd:00 7209216    /lib/libnss_files-2.6.so
0011b000-0011c000 r--p 00009000 fd:00 7209216    /lib/libnss_files-2.6.so
0011c000-0011d000 rw-p 0000a000 fd:00 7209216    /lib/libnss_files-2.6.so
0011d000-0011e000 r-xp 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
0011e000-00120000 rw-p 00000000 fd:00 5543216    /usr/lib/gconv/ISO8859-1.so
00120000-00145000 r-xp 00000000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00145000-00146000 rw-p 00024000 fd:00 5735286   
/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00146000-00187000 r-xp 00000000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00187000-00189000 rw-p 00040000 fd:00 5482661   
/usr/lib/libgnomeprintui-2-2.so.0.1.0
00189000-001b5000 r-xp 00000000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b5000-001b6000 rw-p 0002b000 fd:00 12255270  
/usr/lib/libgnomecanvas-2.so.0.1400.0
001b6000-001bc000 r-xp 00000000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bc000-001bd000 rw-p 00005000 fd:00 5734988   
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
001bd000-001fe000 r-xp 00000000 fd:00 5480066    /usr/lib/libmp3lame.so.0.0.0
001fe000-00200000 rw-p 00041000 fd:00 5480066    /usr/lib/libmp3lame.so.
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208121648 (LWP 4024)]
0x00110410 in __kernel_vsyscall ()
(gdb) where
#0  0x00110410 in __kernel_vsyscall ()
#1  0x45f23fa0 in raise () from /lib/libc.so.6
#2  0x45f258b1 in abort () from /lib/libc.so.6
#3  0x45f5aebb in __libc_message () from /lib/libc.so.6
#4  0x45f62f41 in _int_free () from /lib/libc.so.6
#5  0x45f66580 in free () from /lib/libc.so.6
#6  0x41e29701 in IA__g_free (mem=0xa179280) at gmem.c:187
#7  0x4815b33a in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#8  0x4815b426 in wxButton::SetDefault ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#9  0x082090d1 in PrefsDialog (this=0xbfef7e84, parent=0x9d96618)
    at prefs/PrefsDialog.cpp:168
#10 0x080c54f4 in AudacityProject::OnPreferences (this=0x9d96618)
    at Menus.cpp:2226
#11 0x08167372 in CommandManager::HandleCommandEntry (this=0x9d96898, 
    entry=0x9e87240, flags=1081345, mask=4294967295)
    at commands/CommandManager.cpp:706
#12 0x081677be in CommandManager::HandleMenuID (this=0x9d96898, id=67, 
    flags=1081345, mask=4294967295) at commands/CommandManager.cpp:719
#13 0x080f040b in AudacityProject::OnMenu (this=0x9d96618, event=@0xbfef81a0)
    at Project.cpp:1231
#14 0x48340035 in wxAppConsole::HandleEvent ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libwx_baseu-2.6.so.0
#15 0x483cf132 in wxEvtHandler::ProcessEventIfMatches ()
   from /usr/lib/libwx_baseu-2.6.so.0
#16 0x483cf27d in wxEventHashTable::HandleEvent ()
   from /usr/lib/libwx_baseu-2.6.so.0
#17 0x483cf3ff in wxEvtHandler::ProcessEvent ()
   from /usr/lib/libwx_baseu-2.6.so.0
#18 0x4817faa1 in wxGridCellEditor::IsAcceptedKey ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#19 0x41ed37e9 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9e87ae0, 
    return_value=0x0, n_param_values=1, param_values=0xbfef843c, 
    invocation_hint=0xbfef833c, marshal_data=0x4817f950) at gmarshal.c:77
#20 0x41ec5dd2 in IA__g_closure_invoke (closure=0x9e87ae0, return_value=0x0, 
    n_param_values=1, param_values=0xbfef843c, invocation_hint=0xbfef833c)
    at gclosure.c:490
#21 0x41ed792d in signal_emit_unlocked_R (node=0x9e62c00, detail=0, 
    instance=0x9e82800, emission_return=0x0, instance_and_params=0xbfef843c)
    at gsignal.c:2440
#22 0x41ed8d39 in IA__g_signal_emit_valist (instance=0x9e82800, signal_id=123, 
    detail=0, var_args=0xbfef867c "J��G\020\236�G") at gsignal.c:2199
#23 0x41ed8fe9 in IA__g_signal_emit (instance=0x9e82800, signal_id=123, 
    detail=0) at gsignal.c:2243
#24 0x47dba298 in IA__gtk_widget_activate (widget=0x9e82800)
---Type <return> to continue, or q <return> to quit---
    at gtkwidget.c:4298
#25 0x47c8b6ea in IA__gtk_menu_shell_activate_item (menu_shell=0x9e63548, 
    menu_item=0x9e82800, force_deactivate=1) at gtkmenushell.c:1145
#26 0x47c8d76e in gtk_menu_shell_button_release (widget=0x9e63548, 
    event=0x9febed0) at gtkmenushell.c:669
#27 0x47c82c0d in gtk_menu_button_release (widget=0x9e63548, event=0x9febed0)
    at gtkmenu.c:2713
#28 0x47c7ba32 in _gtk_marshal_BOOLEAN__BOXED (closure=0x9bd6af0, 
    return_value=0xbfef88e0, n_param_values=2, param_values=0xbfef89cc, 
    invocation_hint=0xbfef88cc, marshal_data=0x47c82b20) at gtkmarshalers.c:84
#29 0x41ec45c9 in g_type_class_meta_marshal (closure=0x9bd6af0, 
    return_value=0xbfef88e0, n_param_values=2, param_values=0xbfef89cc, 
    invocation_hint=0xbfef88cc, marshal_data=0xb4) at gclosure.c:567
#30 0x41ec5dd2 in IA__g_closure_invoke (closure=0x9bd6af0, 
    return_value=0xbfef88e0, n_param_values=2, param_values=0xbfef89cc, 
    invocation_hint=0xbfef88cc) at gclosure.c:490
#31 0x41ed7f73 in signal_emit_unlocked_R (node=0x9bd6380, detail=0, 
    instance=0x9e63548, emission_return=0xbfef8b8c, 
    instance_and_params=0xbfef89cc) at gsignal.c:2478
#32 0x41ed8bec in IA__g_signal_emit_valist (instance=0x9e63548, signal_id=30, 
    detail=0, var_args=0xbfef8c10 "(\214��о�\tH5�\t���GH5�\t\b7�\t")
    at gsignal.c:2209
#33 0x41ed8fe9 in IA__g_signal_emit (instance=0x9e63548, signal_id=30, 
---Type <return> to continue, or q <return> to quit---
    detail=0) at gsignal.c:2243
#34 0x47db49d8 in gtk_widget_event_internal (widget=0x9e63548, event=0x9febed0)
    at gtkwidget.c:4267
#35 0x47c7390e in IA__gtk_propagate_event (widget=0x9e63548, event=0x9febed0)
    at gtkmain.c:2344
#36 0x47c74d15 in IA__gtk_main_do_event (event=0x9febed0) at gtkmain.c:1564
#37 0x477914ba in gdk_event_dispatch (source=0x9bd25d8, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2349
#38 0x41e2204c in IA__g_main_context_dispatch (context=0x9bb4058)
    at gmain.c:2061
#39 0x41e2540f in g_main_context_iterate (context=0x9bb4058, block=1, 
    dispatch=1, self=0x9bb4ed8) at gmain.c:2694
#40 0x41e257b9 in IA__g_main_loop_run (loop=0x9bc26a0) at gmain.c:2898
#41 0x47c751a4 in IA__gtk_main () at gtkmain.c:1143
#42 0x481085db in wxEventLoop::Run () from /usr/lib/libwx_gtk2u_core-2.6.so.0
#43 0x4819ce2c in wxAppBase::MainLoop ()
   from /usr/lib/libwx_gtk2u_core-2.6.so.0
#44 0x4819c511 in wxAppBase::OnRun () from /usr/lib/libwx_gtk2u_core-2.6.so.0
#45 0x48375eba in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#46 0x48375f76 in wxEntry () from /usr/lib/libwx_baseu-2.6.so.0
#47 0x08078600 in main (argc=Cannot access memory at address 0xfb8
) at AudacityApp.cpp:189
#48 0x45f10f70 in __libc_start_main () from /lib/libc.so.6
#49 0x0806df21 in _start ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 

Comment 6 Matthew Miller 2007-06-20 22:12:38 EDT
There's a bunch of similar bugs -- apparently the root problem is in glib2
itself. Therefore, these probably should all be closed as duplicates of bug #241925.
Comment 7 Michael Schwendt 2007-06-28 05:15:42 EDT
Matthew, this ticket ought to stay open until the problems are gone.
Comment 8 Michael Schwendt 2007-07-08 07:10:18 EDT
Update to compat-wxGTK26-2.6.3-4 as long as Audacity is built with it.
Comment 9 Tom London 2007-07-08 12:18:41 EDT
I can verify that updating to compat-wxGTK26-2.6.3-4 fixes this .....

Nasty warning from 'GSlice: g_thread_init()' also gone.

Close?

Note You need to log in before you can comment on or make changes to this bug.